%define section         free

# To make the tarball:
#  export CVSROOT=:pserver:anoncvs@cvs.apache.org:/home/cvspublic
#  cvs login (password: anoncvs)
#  cvs export -r juddi-0_9rc4 ws-juddi
#  find ws-juddi -name '*.jar' | xargs rm

%define basedir		%{_localstatedir}/lib/%{name}
%define sqldir		%{basedir}/sql
%define homedir		%{_datadir}/%{name}
%define juddidir	%{_javadir}/juddi/
#%define appdir		%{basedir}/webapps

Name:		juddi
Summary:	Open source Java implementation UDDI specification.
Version: 	0.9
Release:	0.rc4.1jpp_3rh
Epoch:		0
URL: 		http://ws.apache.org/juddi/
License: 	Apache License, Version 2.0
Group: 		Development/Libraries/Java
Source0: 	%{name}-0.9rc4.tar.bz2
Patch0:		jonas-web-contextroot.patch
#Vendor:		JPackage Project
#Distribution:	JPackage
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	axis
BuildRequires:	jakarta-commons-logging
BuildRequires:	tomcat5-servlet-2.4-api
Requires:	axis
Requires:	jakarta-commons-logging
Requires:	tomcat5-servlet-2.4-api
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

%description
jUDDI (pronounced "Judy") is an open source Java implementation 
of the Universal Description, Discovery, and Integration (UDDI) 
specification for Web Services.

# The apps (EAR) sub-package.
%package apps
Group:		Development/Libraries
Summary:	EAR file for jUDDI.
Requires:	axis
Requires:	jakarta-commons-logging
Requires:	tomcat5-servlet-2.4-api

%description apps
The Enterprise Archive (ear) file for %{name}.

# The webapps (WAR) sub-package
%package webapps
Group:		Development/Libraries
Summary:	WAR file for jUDDI.
Requires:	axis
Requires:	jakarta-commons-logging
Requires:	tomcat5-servlet-2.4-api

%description webapps
The Web Archive (war) file for %{name}.

# The javadoc sub-package
%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

#%package webapp
#Group:		System Environment/Applications
#Summary:	Webapp for %{name}
#PreReq:		%{name} = %{epoch}:%{version}-%{release}
#Requires:	jakarta-commons-discovery
#Requires:	log4j
#Requires:	wsdl4j

#%description webapp
#Webapp for %{name}.

# The sql-init-statements sub-package
%package sql-init-statements
Group:		Development/Libraries
Summary:	SQL statements for database creation/configuration.
PreReq:		%{name} = %{epoch}:%{version}-%{release}

%description sql-init-statements
SQL statements for creation/configuration of a database 
for storing web services metadata for %{name}.

%prep
%setup -q -n ws-juddi
%patch0 
mkdir externals
build-jar-repository lib \
	axis/axis \
	axis/jaxrpc \
	axis/saaj \
	jakarta-commons-logging \
	servletapi5

%build
unset CLASSPATH
ant ear javadoc

%install
rm -rf $RPM_BUILD_ROOT

# *ars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/juddi
install -m 644 build/juddi.ear \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi-%{version}.ear
ln -s juddi-%{version}.ear \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi.ear

install -m 644 build/juddi.jar \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi-%{version}.jar
ln -s juddi-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi.jar

install -m 644 build/juddi.war \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi-%{version}.war
ln -s juddi-%{version}.war \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi.war

install -d -m 755 $RPM_BUILD_ROOT{%{appdir},%{sqldir}}

# webapps
#mv build/webapp/* $RPM_BUILD_ROOT%{appdir}

# sql
mv sql/* $RPM_BUILD_ROOT%{sqldir}

# /usr/share/juddi
install -d -m 755 $RPM_BUILD_ROOT/%{homedir}
pushd $RPM_BUILD_ROOT%{homedir}
	[ -d webapps ] || ln -fs %{appdir} webapps
	[ -d sql ] || ln -fs %{sqldir} sql
popd

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/apiDocs/ \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%post webapp
#pushd %{appdir}/juddi/WEB-INF >& /dev/null
#	build-jar-repository lib \
#		axis/axis.jar \
#		jakarta-commons-discovery.jar \
#		jakarta-commons-logging.jar \
#		log4j.jar \
#		wsdl4j.jar
#popd >& /dev/null

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

#%preun webapp
#rm -f %{appdir}/juddi/WEB-INF/lib/*.jar

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%dir %{juddidir}
%{juddidir}/*.jar

%files apps
%defattr(0644,root,root,0755)
%dir %{juddidir}
%{juddidir}/*.ear

%files webapps
%defattr(0644,root,root,0755)
%dir %{juddidir}
%{juddidir}/*.war

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

#%files webapp
#%defattr(0644,root,root,0755)
#%{appdir}
#%dir %{homedir}/webapps
#%dir %{homedir}
#%dir %{basedir}

%files sql-init-statements
%defattr(0644,root,root,0755)
%{sqldir}
%dir %{homedir}/sql
%dir %{homedir}
%dir %{basedir}

%changelog
* Fri Jul 22 2005 Deepak Bhole <dbhole@redhat.com> 0:0.9-0.rc4.1jpp_3rh
- Removed the -b option from the patch directive as it is unnecessary.

* Thu Jul 21 2005 Deepak Bhole <dbhole@redhat.com> 0:0.9-0.rc4.1jpp_2rh
- Cleaned up spec file.
- Removed spurious dependency from apps and webapps on the main package.

* Tue Jul 19 2005 Deepak Bhole <dbhole@redhat.com> 0:0.9-0.rc4.1jpp_1rh
- First Red Hat build

* Mon Jul 18 2005 Deepak Bhole <dbhole@redhat.com> 0:0.9-0.rc4.1jpp
- Initial build.
